## AtkObjectFactory AtkObjectFactory — The base object class for a factory used to create accessible objects for objects of a specific GType. |

## Functions

AtkObject * | atk_object_factory_create_accessible ()
GType | atk_object_factory_get_accessible_type ()
void | atk_object_factory_invalidate ()

## Types and Values

struct | AtkObjectFactory

## Object Hierarchy

        GObject
        ╰── AtkObjectFactory
            ╰── AtkNoOpObjectFactory

## Description

This class is the base object class for a factory used to create an accessible object for a specific GType. The function `atk_registry_set_factory_type()` is normally called to store in the registry the factory type to be used to create an accessible of a particular GType.

## Functions

### atk_object_factory_create_accessible ()

    AtkObject *
    atk_object_factory_create_accessible (AtkObjectFactory *factory,
                                          GObject *obj);

Provides an AtkObject that implements an accessibility interface on behalf of `obj`

#### Parameters

factory | The AtkObjectFactory associated with `obj` 's object type |
obj | a GObject |

#### Returns

an AtkObject that implements an accessibility interface on behalf of `obj` .

[transfer full]

### atk_object_factory_get_accessible_type ()

    GType
    atk_object_factory_get_accessible_type
                                   (AtkObjectFactory *factory);

Gets the GType of the accessible which is created by the factory.

#### Parameters

factory | an AtkObjectFactory |

#### Returns

the type of the accessible which is created by the `factory` . The value G_TYPE_INVALID is returned if no type if found.

### atk_object_factory_invalidate ()

    void
    atk_object_factory_invalidate (AtkObjectFactory *factory);

Inform `factory` that it is no longer being used to create accessibles. When called, `factory` may need to inform AtkObjects which it has created that they need to be re-instantiated. Note: primarily used for runtime replacement of AtkObjectFactorys in object registries.

#### Parameters

factory | an AtkObjectFactory to invalidate |

## Types and Values

### struct AtkObjectFactory

    struct AtkObjectFactory;